Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.socket
Class RmiSocketFactory

    java.lang.Object
      edu.stanford.smi.protege.server.socket.RmiSocketFactory

All Implemented Interfaces:
  Serializable, RMIClientSocketFactory, RMIServerSocketFactory

    public class RmiSocketFactory

extends Object
implements RMIClientSocketFactory, RMIServerSocketFactory, Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `REGISTRY_PORT`
`static String` | `SERVER_PORT`
`static String` | `SERVER_SSL_PORT`

Constructor Summary
`RmiSocketFactory(SSLFactory.Context context)`

Method Summary
`ServerSocket` | `createServerSocket(int port)`
`Socket` | `createSocket(String host, int port)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_PORT

    public static final String SERVER_PORT

See Also:
  Constant Field Values

### SERVER_SSL_PORT

    public static final String SERVER_SSL_PORT

See Also:
  Constant Field Values

### REGISTRY_PORT

    public static final String REGISTRY_PORT

See Also:
  Constant Field Values

Constructor Detail

### RmiSocketFactory

    public RmiSocketFactory(SSLFactory.Context context)

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Throws:
    `IOException`

### createServerSocket

    public ServerSocket createServerSocket(int port)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `RMIServerSocketFactory`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.